Subject: Re: netconsole still hangs

From: Andrew Morton <[email-masked]>
Date: Wed, 12 Mar 2008 16:30:13 -0700

On Wed, 12 Mar 2008 16:16:37 -0700
Andrew Morton <[email-masked]> wrote:

> On Wed, 12 Mar 2008 16:14:29 -0700
> Andrew Morton <[email-masked]> wrote:
> 
> > 
> > I thought the recent reverts fixed this, but it seems that it's just become
> > a little harder to hit.
> > 
> > I'm seeing netconsole hangs on two x86_64 systems (2-way t61p laptop, 8-way
> > server).  Both use e1000.
> > 
> > With current mainline on the 8-way, create a printk storm with
> > 
> > while true
> > do
> > 	echo t > /proc/sysrq-trigger
> > done
> > 
> > and the machine goes tits-up after about five seconds.
> > 
> 
> whoops, hang on, it's still running.

And it's still running!  I killed the above loop five minutes ago and
nothing new is coming out in `dmesg -c', yet data is still flying out over
netconsole.  hundreds and hundreds of megabytes.

So I'd say that something in netconsole or the console susbsytem has
screwed up its buffer indices and it has gone infinite.

I don't know whether that's a regression though.

<does reboot -f>

OK, that stopped it, so the problem isn't buffering at the receiver.  I
already knew that, because the ifconfig "TX bytes" counters were going up
on the sending side.

<runs the sysrq-trigger thing again>

OK, this time it did hang up.  Machine unpingable, no signs of life.